Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.map
Class Attribute

    java.lang.Object
      org.apache.cayenne.map.Attribute

All Implemented Interfaces:
  java.io.Serializable, CayenneMapEntry, XMLSerializable

Direct Known Subclasses:
  DbAttribute, ObjAttribute

    public abstract class Attribute

extends java.lang.Object
implements CayenneMapEntry, XMLSerializable, java.io.Serializable

Defines a property descriptor that is a part of an Entity. Two examples of things that are described by attributes are Java class properties and database table columns.

Author:
  Andrei Adamchik
See Also:
  Serialized Form

Field Summary
`protected Entity` | `entity`
`protected java.lang.String` | `name`

Constructor Summary
`Attribute()` Creates an unnamed Attribute.
`Attribute(java.lang.String name)` Creates a named Attribute.

Method Summary
`Entity` | `getEntity()` Returns parent entity that holds this attribute.
`java.lang.String` | `getName()` Returns the name property of this object.
`java.lang.Object` | `getParent()` Returns the parent map.
`void` | `setEntity(Entity entity)` Sets parent entity that holds this attribute.
`void` | `setName(java.lang.String name)`
`void` | `setParent(java.lang.Object parent)` Stores the parent map.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cayenne.util.XMLSerializable
`encodeAsXML`

Field Detail

### name

    protected java.lang.String name

### entity

    protected Entity entity

Constructor Detail

### Attribute

    public Attribute()

  Creates an unnamed Attribute.

### Attribute

    public Attribute(java.lang.String name)

  Creates a named Attribute.

Method Detail

### getEntity

    public Entity getEntity()

  Returns parent entity that holds this attribute.

### setEntity

    public void setEntity(Entity entity)

  Sets parent entity that holds this attribute.

### getName

    public java.lang.String getName()

  Description copied from interface: `CayenneMapEntry`
  Returns the name property of this object.

  Specified by:
    `getName` in interface `CayenneMapEntry`
  Returns:
    name of this entry.

### setName

    public void setName(java.lang.String name)

### getParent

    public java.lang.Object getParent()

  Description copied from interface: `CayenneMapEntry`
  Returns the parent map.

  Specified by:
    `getParent` in interface `CayenneMapEntry`

### setParent

    public void setParent(java.lang.Object parent)

  Description copied from interface: `CayenneMapEntry`
  Stores the parent map.

  Specified by:
    `setParent` in interface `CayenneMapEntry`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.